<template>
  <div>
    <h2 id="page-heading" data-cy="BiologicoHeading">
      <span v-text="$t('gatewayApp.biologicoBiologico.home.title')" id="biologico-heading">Biologicos</span>
      <div class="d-flex justify-content-end">
        <button class="btn btn-info mr-2" v-on:click="handleSyncList" :disabled="isFetching">
          <font-awesome-icon icon="sync" :spin="isFetching"></font-awesome-icon>
          <span v-text="$t('gatewayApp.biologicoBiologico.home.refreshListLabel')">Refresh List</span>
        </button>
        <router-link :to="{ name: 'BiologicoCreate' }" custom v-slot="{ navigate }">
          <button
            @click="navigate"
            id="jh-create-entity"
            data-cy="entityCreateButton"
            class="btn btn-primary jh-create-entity create-biologico"
          >
            <font-awesome-icon icon="plus"></font-awesome-icon>
            <span v-text="$t('gatewayApp.biologicoBiologico.home.createLabel')"> Create a new Biologico </span>
          </button>
        </router-link>
      </div>
    </h2>
    <br />
    <div class="alert alert-warning" v-if="!isFetching && biologicos && biologicos.length === 0">
      <span v-text="$t('gatewayApp.biologicoBiologico.home.notFound')">No biologicos found</span>
    </div>
    <div class="table-responsive" v-if="biologicos && biologicos.length > 0">
      <table class="table table-striped" aria-describedby="biologicos">
        <thead>
          <tr>
            <th scope="row" v-on:click="changeOrder('id')">
              <span v-text="$t('global.field.id')">ID</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'id'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('tipoBiologico')">
              <span v-text="$t('gatewayApp.biologicoBiologico.tipoBiologico')">Tipo Biologico</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'tipoBiologico'"></jhi-sort-indicator>
            </th>
            <th scope="row" v-on:click="changeOrder('detalleBiologico')">
              <span v-text="$t('gatewayApp.biologicoBiologico.detalleBiologico')">Detalle Biologico</span>
              <jhi-sort-indicator :current-order="propOrder" :reverse="reverse" :field-name="'detalleBiologico'"></jhi-sort-indicator>
            </th>
            <th scope="row"></th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="biologico in biologicos" :key="biologico.id" data-cy="entityTable">
            <td>
              <router-link :to="{ name: 'BiologicoView', params: { biologicoId: biologico.id } }">{{ biologico.id }}</router-link>
            </td>
            <td>{{ biologico.tipoBiologico }}</td>
            <td>{{ biologico.detalleBiologico }}</td>
            <td class="text-right">
              <div class="btn-group">
                <router-link :to="{ name: 'BiologicoView', params: { biologicoId: biologico.id } }" custom v-slot="{ navigate }">
                  <button @click="navigate" class="btn btn-info btn-sm details" data-cy="entityDetailsButton">
                    <font-awesome-icon icon="eye"></font-awesome-icon>
                    <span class="d-none d-md-inline" v-text="$t('entity.action.view')">View</span>
                  </button>
                </router-link>
                <router-link :to="{ name: 'BiologicoEdit', params: { biologicoId: biologico.id } }" custom v-slot="{ navigate }">
                  <button @click="navigate" class="btn btn-primary btn-sm edit" data-cy="entityEditButton">
                    <font-awesome-icon icon="pencil-alt"></font-awesome-icon>
                    <span class="d-none d-md-inline" v-text="$t('entity.action.edit')">Edit</span>
                  </button>
                </router-link>
                <b-button
                  v-on:click="prepareRemove(biologico)"
                  variant="danger"
                  class="btn btn-sm"
                  data-cy="entityDeleteButton"
                  v-b-modal.removeEntity
                >
                  <font-awesome-icon icon="times"></font-awesome-icon>
                  <span class="d-none d-md-inline" v-text="$t('entity.action.delete')">Delete</span>
                </b-button>
              </div>
            </td>
          </tr>
        </tbody>
        <infinite-loading
          ref="infiniteLoading"
          v-if="totalItems > itemsPerPage"
          :identifier="infiniteId"
          slot="append"
          @infinite="loadMore"
          force-use-infinite-wrapper=".el-table__body-wrapper"
          :distance="20"
        >
        </infinite-loading>
      </table>
    </div>
    <b-modal ref="removeEntity" id="removeEntity">
      <span slot="modal-title"
        ><span id="gatewayApp.biologicoBiologico.delete.question" data-cy="biologicoDeleteDialogHeading" v-text="$t('entity.delete.title')"
          >Confirm delete operation</span
        ></span
      >
      <div class="modal-body">
        <p id="jhi-delete-biologico-heading" v-text="$t('gatewayApp.biologicoBiologico.delete.question', { id: removeId })">
          Are you sure you want to delete this Biologico?
        </p>
      </div>
      <div slot="modal-footer">
        <button type="button" class="btn btn-secondary" v-text="$t('entity.action.cancel')" v-on:click="closeDialog()">Cancel</button>
        <button
          type="button"
          class="btn btn-primary"
          id="jhi-confirm-delete-biologico"
          data-cy="entityConfirmDeleteButton"
          v-text="$t('entity.action.delete')"
          v-on:click="removeBiologico()"
        >
          Delete
        </button>
      </div>
    </b-modal>
  </div>
</template>

<script lang="ts" src="./biologico.component.ts"></script>
